classification
Title: glossary entry for 'method resolution order' links to something with python 2.3 in the title
Type: enhancement Stage: patch review
Components: Documentation Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: orsenthil Nosy List: docs@python, ezio.melotti, martin.panter, orsenthil, python-dev
Priority: normal Keywords: easy, patch

Created on 2015-03-15 21:50 by r.david.murray, last changed 2016-01-10 06:37 by orsenthil. This issue is now closed.

Files
File name Uploaded Description Edit
Issue23675.patch orsenthil, 2016-01-08 08:12 review
Issue23675-v2.patch orsenthil, 2016-01-10 06:30
Messages (7)
msg238161 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-03-15 21:50
The link is correct; that document describes the new-style class method resolution order, which is what Python3 uses.  However, the title is a bit problematic, and either the title should be changed or the link from the Python3 docs should have a gloss explaining why the document is in fact the correct link.
msg257741 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2016-01-08 08:12
Here is the patch with the suggested wording.
msg257779 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-01-08 21:12
The wording looks good in spirit. I just have a couple nits to pick with the grammar:

* Why change from “See” to “Refer”? “Refer to” would work better I think; but “See” was fine too IMO.

* I think it is better without “document”. Just “See / Refer to <2.3 MRO> for details”.

* I would insert “the” in “since the 2.3 release”.
msg257890 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2016-01-10 06:30
@Martin, thanks for the review comments. I've addressed this is version 2 of the patch. I am submitting this change.
msg257891 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-01-10 06:34
New changeset 9ba001cb107b by Senthil Kumaran in branch '3.5':
Issue23675 - A tiny clarification in the MRO glossary term.
https://hg.python.org/cpython/rev/9ba001cb107b

New changeset 60d4c3a29201 by Senthil Kumaran in branch 'default':
merge from 3.5
https://hg.python.org/cpython/rev/60d4c3a29201
msg257892 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-01-10 06:36
New changeset 99f5276e4197 by Senthil Kumaran in branch '2.7':
Issue23675 - A tiny clarification in the MRO glossary term.
https://hg.python.org/cpython/rev/99f5276e4197
msg257893 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2016-01-10 06:37
Fixed in the active documentation branches 2.7,3.5 and 3.6.
History
Date User Action Args
2016-01-10 06:37:15orsenthilsetstatus: open -> closed
assignee: docs@python -> orsenthil
resolution: fixed
messages: + msg257893
2016-01-10 06:36:20python-devsetmessages: + msg257892
2016-01-10 06:34:55python-devsetnosy: + python-dev
messages: + msg257891
2016-01-10 06:30:56orsenthilsetfiles: + Issue23675-v2.patch

messages: + msg257890
versions: + Python 2.7, Python 3.5, Python 3.6
2016-01-08 21:12:49martin.pantersetnosy: + martin.panter
messages: + msg257779
2016-01-08 14:53:31r.david.murraysetnosy: - r.david.murray
2016-01-08 08:13:07orsenthilsetstage: needs patch -> patch review
2016-01-08 08:12:53orsenthilsetfiles: + Issue23675.patch

nosy: + orsenthil
messages: + msg257741

keywords: + patch
2016-01-03 09:57:23ezio.melottisetnosy: + ezio.melotti, docs@python
assignee: docs@python
components: + Documentation
keywords: + easy
type: enhancement
stage: needs patch
2015-03-15 21:50:34r.david.murraycreate